pro backsub,dirout,sourceout,bright,iwrite,temp
;
; subtracts background from individual map rows using template written 
; to disk.
; if iwrite is 1 the new map is written to disk
;
@common_mapper
@common_names
; common names,tdtnam,iseq,dirnam,caldir,cfilter
;
rowplot=0
;
if(cfilter eq 50)then c='_C50'
if(cfilter eq 60)then c='_C60'
if(cfilter eq 70)then c='_C70'
if(cfilter eq 90)then c='_C90'
if(cfilter eq 100)then c='_C100'
if(cfilter eq 105)then c='_C105'
if(cfilter eq 120)then c='_C120'
if(cfilter eq 135)then c='_C135'
if(cfilter eq 160)then c='_C160'
if(cfilter eq 180)then c='_C180'
if(cfilter eq 200)then c='_C200'
;
stem=dirout+sourceout+c
namebright=stem+'_BRIGHT_NOBACK.FITS'
print,'reading',namebright
nametemplate=stem+'_BACKTEMPLATE.FITS'
namesigma=stem+'_SIGMA.FITS'
namen=stem+'_N.FITS'
bright=readfits(namebright,xh)
sig=readfits(namesigma,xh)
template=readfits(nametemplate,xh)
if(n_elements(temp) gt 0)then template=temp
nexp=readfits(namen,xh)
;createtemplate,1,15,15.,90.,0.,0.,template
;
ncol=n_elements(bright(*,0))
nrow=n_elements(bright(0,*))
;print,'ncol,nrow = ',ncol,nrow
x=fltarr(ncol)
t=x
s=x
nes=lonarr(ncol)
window,1
dum=x
dum(*)=bright(*,nzgrid/2)
plot,dum,yran=[-5,5]
;
for irow=0,nrow-1 do begin
;
x(*)=bright(*,irow)
t(*)=template(*,irow)
s(*)=sig(*,irow)
nes(*)=nexp(*,irow)
ii=where(t eq 1 and nes gt 0,nii)
if(nii le 0)then goto, c867 ; eg avoid os 2/3 problem
xfit=float(ii)
yfit=x(ii)
wfit=1.0/s(ii)
wfit=wfit*wfit
;result=poly_fit(xfit,yfit,1)
result=polyfitw(xfit,yfit,wfit,1)
baseline=result(0)+result(1)*findgen(ncol)
bright(*,irow)=bright(*,irow)-baseline
;
c867:
endfor ; irow
oplot,bright(*,nzgrid/2),linest=1
oplot,dum(*)-bright(*,nzgrid/2)
;
brightout=bright
print,'writing ',namebright
if(iwrite eq 1)then writefits,namebright,bright ; overwrite
;
return
end


