pro display
;
;$cp /us0/vlk/rjt/IDL/PROG/ERDTOMAP/common* .
;@/us0/vlk/rjt/IDL/PROG/ERDTOMAP/runerdtomap
; 
dirnam='/d13/vlk/rjt/pia/p32p22p25/v7_3/'
tdtnam='57901909'
iseq='01'
arrayin='c200'
cfilter=160 ; for simulations of beams
caldir='/d12/vlk/cgabriel/pia_7.3/calg/' ; for simulation of beams
osampin=1
;
erdin='y'
erdtomap,tdtnam,iseq,dirnam,arrayin,osampin,erdin ; for signal conditioning
@common_all
; set_plot,'x'
; erdplot,1,0,10797,4 ; here pixel identifier (last input) is minimum of 1
;                       so runs from 1 to 4 for C200
; set_plot,'ps' ; same to ps file
; erdplot,999,0,10797,4 ; code 999 to send all windows to ps file
; close ; to close ps file 
;
idefcal=0 ; actual (interpolated FCS calibration)
ndriftsolve=0 ; initialise counter
islewmethod=2
backpred=15.0 ; MJy/st ceres c160
;
;niter=3
niter=2
isimul=0 ; simulation parameters must be typed directly into SIMUL32
iverbose=0
xiplot1=0.2 ; fractional plotting range 
xiplot2=0.8 ; (in time, to get a centrally placed source)
;drift32,tdtnam,iseq,dirnam,idefcal,isimul,iverbose,[0,1,2,3],$
;niter,xiplot1,xiplot2
;
; diagnostic contour of uncorrected pixel 3
; if(isimul eq 1)then simul32,caldir,cfilter
; my_device=!D.NAME
; s_save=s
; set_plot,'x' ; x windows
; set_plot,'ps' ; sent to idl.ps
; device,filename='contour_uncorr.ps' 
; makemap,1,[3],mapb,mapr,mapd,mapy,mapz,mapn,0,1
; mapcontour,1,10,0.1,0,mapb,mapr,1,'' ; window 1 linear
; mapcontour,1,10,0.01,1,mapb,mapr,2,'' ; window 2 log
; device,/close
; set_plot,my_device
;$lpr -Php41 idl.ps
; mapbefore=mapb
drift32,tdtnam,iseq,dirnam,idefcal,isimul,iverbose,[3],niter,xiplot1,xiplot2
;
; diagnostic contour of corrected pixel 3
; makemap,1,[3],mapb,mapr,mapd,mapy,mapz,mapn,0,1
; mapcontour,1,10,0.1,0,mapb,mapr,3,'' ; linear window 3
; mapcontour,1,10,0.01,1,mapb,mapr,4,'' ; window 4 log
; mapafter=mapb
; 
; diagnostics
;
; restore,/verb,'testsave.xdr' 
; ii=where(itrans eq 1,nii)
; respc(ipix,ii)=respcorr(ii) ; compression from e32 length
; mpfit=modelfit(ii)
; rpfit=respcorr(ii)*modelfit(ii)
; window,0,xs=800,ys=400,xpos=470,ypos=570
; igood=where(bad(ipix,*) eq 0,nigood)
;
; xi1=(nigood-1)*xiplot1
; i1=long(xi1)
; xi2=(nigood-1)*xiplot2
; i2=long(xi2)
; loadct,15 ; stern special
; good for details of pixel 3:
; i1=4500
; i2=5100
; plot,igood(i1:i2),sigin(igood(i1:i2)),color=10,xsty=1 ; signal cond. in PREP
; oplot,igood(i1:i2),mpfit(igood(i1:i2)),color=50 ; model fit to data
; oplot,igood(i1:i2),rpfit(igood(i1:i2)),color=100 ; best fit illumination
; set_plot,'ps' ; sent to idl.ps 
; close ; to close ps file
;
; s_corr=s
; plot effect on profiles to ps file idl.ps (case all pixels processed)
; set_plot,'ps'
; s=s_corr
; makemap,4,[0,1,2,3],mapb,mapr,mapd,mapy,mapz,mapn,0,1
; plot,mapb(*,2)   
; s=s_save
; makemap,4,[0,1,2,3],mapb,mapr,mapd,mapy,mapz,mapn,0,1
; oplot,mapb(*,2)
; device,/close
; set_plot,'x'
; $lpr -Php41 idl.ps
;
return
end















