PRO pia_erd2map_varpar_event, event

COMMON pia_erd2map_varpar_cmn, vars

	WIDGET_CONTROL, event.id, GET_UVALUE=action

	CASE action of 
	
		'VARS': vars(event.value) = event.select
		
		'QUIT': BEGIN
			IF TOTAL(vars) GT 6 THEN BEGIN
			   PRINT, STRING(7B) 
			   PIA_DISP_PRINT_FILE, '', /MODAL, GROUP=event.top, $
			   	TEXT="Told you 'bout a maximum of 6, didn't I?"
			   PRINT, STRING(7B) 
			ENDIF ELSE BEGIN
			   WIDGET_CONTROL, event.top, /DESTROY
			ENDELSE
		END
	ENDCASE
	
	RETURN
	END
		
PRO pia_erd2map_varpar, varpar, GROUP=group

COMMON pia_erd2map_varpar_cmn, vars

	vars= varpar
	tot_vars = TOTAL(vars)

	IF not KEYWORD_SET(group) THEN group=!PIA_TOP_WID

	id_base= WIDGET_BASE(TITLE="Drift Handling Customizing", /COLUMN, $
		/MODAL, Group=group)
	
	stdbut = cw_bgroup(id_base,  /FRAME,  $ 
		LABEL_TOP = ' Parameters to be fitted: ', $
			/NONEXCLUSIVE, ROW=12, $
			SET_VALUE = vars, $
			UVALUE = 'VARS', $
			["Beta           ", $
			 "Betacoeff      ", $
			 "Betaexponential", $
			 "Tau Offset     ", $
			 "Tau            ", $
			 "Gammaexponent  ", $
			 "Beta Overshoot ", $
			 "Betacoeff OSh. ", $
			 "Betaexp. OSh.  ", $
			 "Tau Offset OSh.", $
			 "Tau   OSh.     ", $
			 "Gammaexp. Osh. " ])
	
	id_lab = WIDGET_LABEL(id_base, $
		VAL='A maximum of 6 free parameters allowed')

	id_1 = WIDGET_BUTTON( id_base, VAL="Quit    ", UV="QUIT" )
		
	WIDGET_CONTROL, id_base, /realize	
	Xmanager, /NO_BLOCK, "PIA_ERD2MAP_varpar", id_base, GROUP=group
	
	varpar = vars

	RETURN
	END
	
