pro drawgrid
;
; overplots outline of map pixels as defined by size SGRIDY and 
; SGRIDZ and number NYGRID NZGRID in current coordinates
;
;common mapper,sgridy,sgridz,nygrid,nzgrid,ygrid,zgrid,errflag
;
@common_mapper
;
x1=min(ygrid)-sgridy/2.0
x2=max(ygrid)+sgridy/2.0
y1=min(zgrid)-sgridz/2.0
y2=max(zgrid)+sgridz/2.0
;
oplot,[x1,x2],[y1,y1],linestyle=0
for iz=1L,nzgrid do begin
y=y1+float(iz)*sgridz
oplot,[x1,x2],[y,y],linestyle=0
endfor ; iz
oplot,[x1,x1],[y1,y2],linestyle=0
for iy=1L,nygrid do begin
x=x1+float(iy)*sgridy
oplot,[x,x],[y1,y2],linestyle=0
endfor ; iy
;
return
end
