PRO PIA_erd2map_file_EVENT,event

	WIDGET_CONTROL, event.id, GET_UVALUE=action
	WIDGET_CONTROL, event.top, GET_UVALUE=pid
	
	CASE action of 
	
	 'DATA': BEGIN
	 	CASE event.value OF
		  0: (*pid).otf=1 
		  1: (*pid).otf=0
		  2: (*pid).otf=-1
		ENDCASE
	 END

	 'FCSDATA': BEGIN
	  	CASE event.value OF
		  0: (*pid).proc_fcs = event.select
		ENDCASE
	 END

	 'CORR': BEGIN
	  	CASE event.value OF
		  0: (*pid).res_int_cor = event.select
		  1: (*pid).darks = event.select
		ENDCASE
	 END
	 
	 "QUIT": WIDGET_CONTROL, event.top, /DESTROY

	 ELSE:

	ENDCASE

 	RETURN
	END
	

	
PRO PIA_erd2map_file, pid, GROUP=group

;	file={res_int_cor:res_int_cor, otf:otf}

	IF not KEYWORD_SET(group) THEN group=!PIA_TOP_WID
	id_base= WIDGET_BASE(TITLE="File/Path Selection", /COLUMN, /MODAL,$
			Group=group)
	
	id_0 = WIDGET_BASE(id_base, /ROW)

	otfval = ((*pid).otf - 1) * (-1)
	stdbut = cw_bgroup(id_0,  /FRAME,  $ 
			LABEL_TOP = ' Map DISPLAY use ', $
			/EXCLUSIVE, ROW=3, $
			SET_VALUE = otfval, $
			UVALUE = 'DATA', $
			["Data on raster point  ", $
			 "Data off raster poin  ", $
			 "Data on and off RPoint"])

	stdbut = cw_bgroup(id_0,  /FRAME,  $ 
			LABEL_TOP = ' FCS Data use ', $
			/NONEXCLUSIVE, ROW=1, $
			SET_VALUE = (*pid).proc_fcs,  $
			UVALUE = 'FCSDATA', $
			["Process FCS data to SCP level"])

	stdbut = cw_bgroup(id_0,  /FRAME,  $ 
			LABEL_TOP = ' Apply corrections ', $
			/NONEXCLUSIVE, ROW=2, $
			SET_VALUE = [(*pid).res_int_cor, $
				     (*pid).darks], $
			UVALUE = 'CORR', $
			["Reset Interval Correction    ", $
			 "Dark Current Subtraction     "])

	id_0 = WIDGET_BASE(id_base, /ROW)

	id_1 = WIDGET_BUTTON( id_base, VAL="Quit    ", UV="QUIT" )

;	pfile = ptr_new(cust)
	
	WIDGET_CONTROL, id_base, /realize, set_UVALUE=pid	
	Xmanager, /NO_BLOCK, "PIA_ERD2MAP_CUST", id_base, GROUP=group

	RETURN
	END
	
	
